Bug 1429132 - blivet.safe_dbus.DBusCallError: Failed to call Introspect method on /org/freedesktop/UDisks2/Manager with None arguments: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.UDisks2 was not provided by any .service files [NEEDINFO]
Summary: blivet.safe_dbus.DBusCallError: Failed to call Introspect method on /org/free...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:500798b295b63a7b678a7de0cbc...
Depends On: 1491806
Blocks: F26AlphaFreezeException 1394841
TreeView+ depends on / blocked
 
Reported: 2017-03-04 22:03 UTC by Raphael Groner
Modified: 2019-05-27 14:55 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-27 14:55:15 UTC
Type: ---
lupinix.fedora: needinfo? (gmarr)


Attachments (Terms of Use)
File: anaconda-tb (206.10 KB, text/plain)
2017-03-04 22:03 UTC, Raphael Groner
no flags Details
File: environ (510 bytes, text/plain)
2017-03-04 22:03 UTC, Raphael Groner
no flags Details
File: journalctl (155.71 KB, text/plain)
2017-03-04 22:04 UTC, Raphael Groner
no flags Details
File: lsblk_output (1.33 KB, text/plain)
2017-03-04 22:04 UTC, Raphael Groner
no flags Details
File: nmcli_dev_list (1.21 KB, text/plain)
2017-03-04 22:04 UTC, Raphael Groner
no flags Details
File: os_info (447 bytes, text/plain)
2017-03-04 22:04 UTC, Raphael Groner
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1395620 0 unspecified CLOSED TypeError: Argument 1 does not allow None as a value 2021-02-22 00:41:40 UTC

Internal Links: 1395620

Description Raphael Groner 2017-03-04 22:03:50 UTC
Version-Release number of selected component:
anaconda-core-26.21-1.fc26.x86_64

The following was filed automatically by anaconda:
anaconda 26.21-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/safe_dbus.py", line 151, in call_sync
    raise DBusCallError(msg)
  File "/usr/lib/python3.6/site-packages/blivet/safe_dbus.py", line 194, in check_object_available
    intro_data = call_sync(service, obj_path, DBUS_INTRO_IFACE, "Introspect", None)
  File "/usr/lib/python3.6/site-packages/blivet/iscsi.py", line 109, in _check_avail
    if not safe_dbus.check_object_available(STORAGED_SERVICE, STORAGED_MANAGER_PATH, MANAGER_IFACE):
  File "/usr/lib/python3.6/site-packages/blivet/util.py", line 1093, in check_avail
    self._avail = self._check_avail()
  File "/usr/lib/python3.6/site-packages/blivet/util.py", line 1105, in decorated
    if self.check_avail(onetime=just_onetime):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/filter.py", line 542, in initialize
    if not iscsi.available:
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 165, in _createBox
    spoke.initialize()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 370, in refresh
    self._createBox()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/__init__.py", line 1031, in _on_continue_clicked
    nextAction.refresh()
blivet.safe_dbus.DBusCallError: Failed to call Introspect method on /org/freedesktop/UDisks2/Manager with None arguments: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.UDisks2 was not provided by any .service files

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-0.rc0.git9.1.fc26.x86_64
other involved packages: anaconda-gui-26.21-1.fc26.x86_64, python3-blivet-2.1.7-7.fc26.noarch
product:        Fedora
release:        Fedora release 26 (Twenty Six)
type:           anaconda
version:        26

Comment 1 Raphael Groner 2017-03-04 22:03:56 UTC
Created attachment 1259994 [details]
File: anaconda-tb

Comment 2 Raphael Groner 2017-03-04 22:03:57 UTC
Created attachment 1259995 [details]
File: environ

Comment 3 Raphael Groner 2017-03-04 22:04:00 UTC
Created attachment 1259996 [details]
File: journalctl

Comment 4 Raphael Groner 2017-03-04 22:04:02 UTC
Created attachment 1259997 [details]
File: lsblk_output

Comment 5 Raphael Groner 2017-03-04 22:04:03 UTC
Created attachment 1259998 [details]
File: nmcli_dev_list

Comment 6 Raphael Groner 2017-03-04 22:04:04 UTC
Created attachment 1259999 [details]
File: os_info

Comment 7 Fedora Blocker Bugs Application 2017-03-05 10:49:02 UTC
Proposed as a Blocker for 26-alpha by Fedora user raphgro using the blocker tracking app because:

 Anaconda reports an error and exits while trying to install LXQt spin, I guess that's a general issue for any spin though tried with LXQt only.

Violation of QA:Testcase install repository Live Image:
The installation finishes successfully

Comment 8 Geoffrey Marr 2017-03-06 18:30:23 UTC
Discussed during the 2017-03-06 blocker review meeting: [1]

The decision was made to reject this as a blocker but accept it as a freeze exception as we suspect this is due to a missing package on the LXQt spin, which is not a blocking arch, but the freeze exception will allow the packages to be added and this bug fixed.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-03-06/f26-blocker-review.2017-03-06-17.02.txt

Comment 9 Christian Dersch 2017-03-06 20:26:47 UTC
How can this be a missing package @LXQt Spin? If a package is missing, anaconda is missing a dependency. Also the same kickstarts work fine with Fedora 25.

Comment 10 Jiri Konecny 2017-03-17 08:05:53 UTC
There were some renaming of Storaged and this looks to me like a regression from that.

Comment 11 Vratislav Podzimek 2017-03-21 07:56:29 UTC
(In reply to Jiri Konecny from comment #10)
> There were some renaming of Storaged and this looks to me like a regression
> from that.

The DBus APIs provided by storaged and udisks2 are the same so no regression here.

Comment 12 Vratislav Podzimek 2017-03-21 07:57:35 UTC
(In reply to Christian Dersch from comment #9)
> How can this be a missing package @LXQt Spin? If a package is missing,
> anaconda is missing a dependency. Also the same kickstarts work fine with
> Fedora 25.

storaged/udisks is only needed for iSCSI which is a kind of optional functionality not hardly required by neither blivet (the storage library) nor anaconda.

Comment 13 Christian Dersch 2017-03-21 08:03:57 UTC
I added storaged to the spin and anaconda works fine now. So something requires it and storaged should be pulled in as a dependency as we get the crash otherwise. I don't know the right place for that, for Fedora 25 I did not have to add storaged and everything worked as expected @anaconda, something has been changed here.

Comment 14 Vratislav Podzimek 2017-03-21 08:05:18 UTC
Here's a fix for blivet to not crash like this if udisks/storaged is not installed:
https://github.com/rhinstaller/blivet/pull/562

Comment 15 Christian Dersch 2017-03-21 08:07:15 UTC
Nice, thanks :)

Comment 16 Adam Williamson 2017-04-04 19:37:42 UTC
Still, though, if this is required for a significant anaconda feature to work, it seems reasonable for anaconda to Requires: or at least Recommends: it. Otherwise we run the risk of iSCSI installs suddenly not working if the package no longer happens to be pulled into our images by any other dep chain.

Comment 17 Raphael Groner 2017-04-05 05:55:09 UTC
(In reply to Adam Williamson from comment #16)
> Still, though, if this is required for a significant anaconda feature to
> work, it seems reasonable for anaconda to Requires: or at least Recommends:
> it. Otherwise we run the risk of iSCSI installs suddenly not working if the
> package no longer happens to be pulled into our images by any other dep
> chain.

+1
Could then someone reassign this bug to anaconda or open another bug?

I'm fine with a FE here but it's a clear violation of QA:Testcase install repository Live Image: The installation finishes successfully
(as noted in the proposal).

Comment 18 Kamil Páral 2018-04-03 07:59:12 UTC
storaged-iscsi (udisks2-iscsi) is still not present on F28 Beta Workstation Live.

Comment 19 Kamil Páral 2018-04-03 08:02:10 UTC
Moving to anaconda per comment 16.

Comment 20 Martin Kolman 2018-04-04 09:49:30 UTC
If the package is just an install time dependency, it should be added just to the Lorax templates that generate the respective installation image, not as a hard Anaconda dependency. See bug 1491806 where we are trying to reduce the amount of hard install time only dependencies, so adding even more does not seem like a good idea.

Comment 21 Ben Cotton 2019-05-02 21:58:24 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Adam Williamson 2019-05-21 21:58:47 UTC
The change to lorax templates was done back in Oct 2017:

https://github.com/weldr/lorax/commit/5584b6ac56e704dd3c21c5cbabeaee2b3414b468

However, I don't think that helps *live* images. If we don't make this a package dependency, I guess we at least in theory need to add it to kickstarts for live images...still, I don't think we listed the old name in kickstarts either...

Comment 23 Vendula Poncova 2019-05-27 12:42:42 UTC
I think that this was fixed in https://github.com/rhinstaller/anaconda/pull/1415.

Comment 24 Adam Williamson 2019-05-27 14:55:15 UTC
Yeah, that seems correct. Let's call it fixed.


Note You need to log in before you can comment on or make changes to this bug.